## org.apache.batik.bridge.svg12
Class DefaultXBLManager.DefinitionRecord

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.DefinitionRecord

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.DefinitionRecord

extends java.lang.Object
implements java.lang.Comparable

Record class for storing information about an XBL definition.

Field Summary
`XBLOMDefinitionElement` `definition` The definition element.
`org.w3c.dom.Element` `importElement` The import element that imported this definition.
`java.lang.String` `localName` The local name.
`java.lang.String` `namespaceURI` The namespace URI.
`XBLOMTemplateElement` `template` The template element for this definition.

Constructor Summary
`DefaultXBLManager.DefinitionRecord(java.lang.String ns, java.lang.String ln, XBLOMDefinitionElement def, XBLOMTemplateElement t, org.w3c.dom.Element imp)` Creates a new DefinitionRecord.

Method Summary
`int` `compareTo(java.lang.Object other)` Compares two definition records.
`boolean` `equals(java.lang.Object other)` Returns whether two definition records are the same.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public java.lang.String namespaceURI

  The namespace URI.

### localName

    public java.lang.String localName

  The local name.

### definition

    public XBLOMDefinitionElement definition

  The definition element.

### template

    public XBLOMTemplateElement template

  The template element for this definition.

### importElement

    public org.w3c.dom.Element importElement

  The import element that imported this definition.

Constructor Detail

### DefaultXBLManager.DefinitionRecord

    public DefaultXBLManager.DefinitionRecord(java.lang.String ns,
                                              java.lang.String ln,
                                              XBLOMDefinitionElement def,
                                              XBLOMTemplateElement t,
                                              org.w3c.dom.Element imp)

  Creates a new DefinitionRecord.

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Returns whether two definition records are the same.

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object other)

  Compares two definition records.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.